/**
    Copyright (c) 2010 yakiimo02
    Distributed under the New BSD License.
    See included license.txt or http://www.yakiimo3d.com/NewBSDLicense.txt
**/

#pragma once

#include <string>

/**    
    @brief  Save content of the framebuffer to a texture.
            Based on DirectX SDK DX11 PNTriangles sample.
    @author yakiimo02
    @date   2010/09/26
*/
class CaptureFrameBuffer
{
public:
    CaptureFrameBuffer();
    HRESULT Capture( const std::wstring& strFileName );
};

extern CaptureFrameBuffer    g_captureFrameBuffer;
